QJACKCTL(1)

NAME
qjackctl - User interface for controlling JACK (Jack Audio Connection Kit)

SYNOPSIS
qjackctl [options]

DESCRIPTION
This manual page documents briefly the qjackctl command.

QjackCtl is used for controlling the Jack Audio Connection Kit (JACK) and as a patchbay for ALSA MIDI and JACK MIDI devices. QjackCtl also has support for the JACK transport control protocol, so you can use it to start and stop the JACK transport. Once you start qjackctl, you get presented with a single GUI window, the buttons are self-explanatory and have tooltips.

OPTIONS

-s, --start

    Start JACK audio server immediately

-p, --preset=[label]

    Set default settings preset name

-a, --active-patchbay=[path]

    Set active patchbay definition file

-n, --server-name=[label]

    Set default JACK audio server name

-h, --help

    Show help about command line options

-v, --version

    Show version information.

D-Bus insterface
Enable `Setup > Misc > Other > Enable D-Bus interface` to use the D-Bus interface commands as shown below.

bus-send --system / org.rncbc.qjackctl.start bus-send --system / org.rncbc.qjackctl.stop bus-send --system / org.rncbc.qjackctl.reset bus-send --system / org.rncbc.qjackctl.main bus-send --system / org.rncbc.qjackctl.messages bus-send --system / org.rncbc.qjackctl.status bus-send --system / org.rncbc.qjackctl.session bus-send --system / org.rncbc.qjackctl.connections bus-send --system / org.rncbc.qjackctl.patchbay bus-send --system / org.rncbc.qjackctl.graph bus-send --system / org.rncbc.qjackctl.rewind bus-send --system / org.rncbc.qjackctl.backward bus-send --system / org.rncbc.qjackctl.play bus-send --system / org.rncbc.qjackctl.pause bus-send --system / org.rncbc.qjackctl.forward bus-send --system / org.rncbc.qjackctl.setup bus-send --system / org.rncbc.qjackctl.about bus-send --system / org.rncbc.qjackctl.quit bus-send --system / org.rncbc.qjackctl.preset string:[label] bus-send --system / org.rncbc.qjackctl.active-patchbay string:[path] bus-send --system / org.rncbc.qjackctl.load bus-send --system / org.rncbc.qjackctl.save bus-send --system / org.rncbc.qjackctl.savequit bus-send --system / org.rncbc.qjackctl.savetemplate

SEE ALSO
jackd(1)

FILES
Configuration settings are stored in ~/.config/rncbc.org/QjackCtl.conf

AUTHOR
QjackCtl was written by Rui Nuno Capela.

This manual page was written by Guenter Geiger <geiger@debian.org>, for the Debian project (but may be used by others).